## Tool: `get_user_profile`

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Get profile info about yourself (name and email).

The following sample demonstrate how to use `curl` to invoke the `get_user_profile` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_user_profile", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for GetUserProfile.

## Output Schema

Response message for GetUserProfile.

### GetUserProfileResponse

| JSON representation |
|---|
| ``` { "name": string, "emailAddress": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The user's display name. |
| `emailAddress` | `string` The user's account email address. |

### Tool Annotations

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌

## Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/userinfo.profile`